Sample Aid
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Logic 7 & earlier Logic Pro 6.4.3 Mac OS 9 updater or app folder needed

Discussion in 'Logic 7 and older Versions' started by johnpitcairn, Aug 5, 2016.

  1. johnpitcairn

    johnpitcairn Member

    Having found my 5.5.0 updater, it now seems that due to the same bad archive I am missing the final OS9 updater, which was, from 2004 I think?

    Does anyone still have that updater, or even just an installed 6.4.3 application folder? In fact any version of Platinum or Pro 6.x after 6.1.0 would be welcome.

    My XSkey will run it, so no license violation.

Share This Page